Bug 244860 - tcpdump -Z -C should drop root privileges completely
Summary: tcpdump -Z -C should drop root privileges completely
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 14:54 UTC by Miroslav Lichvar
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.9.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 22:55:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Lichvar 2007-06-19 14:54:38 UTC
Description of problem:
tcpdump sets only effective uid and gid when -Z option is used (enabled by
default) with -C option. It is a result of the patch for bug #176010.

Setting only euid removes an extra security layer that might otherwise have
mitigated an eventual security problem.

A better solution for the bug is to call setuid() before the first file is
opened, then all files will have pcap owner and tcpdump can drop root privileges
completely.

Version-Release number of selected component (if applicable):
tcpdump-3.9.5-3.fc7

Steps to Reproduce:
1. tcpdump -C 1 -w dump
2. cat /proc/{tcpdump}/status | grep Uid
  
Actual results:
Uid:	0	77	0	77

Expected results:
Uid:	77	77	77	77

Comment 1 Miroslav Lichvar 2007-07-25 08:48:45 UTC
Fixed in tcpdump-3.9.7-1.fc8.

Comment 2 Fedora Update System 2007-07-31 22:55:26 UTC
tcpdump-3.9.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.